incubator-couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nick Galbreath (JIRA)" <>
Subject [jira] Created: (COUCHDB-51) Minor improvement to README regarding boostrap dependencies
Date Wed, 07 May 2008 22:53:55 GMT
Minor improvement to README regarding boostrap dependencies

                 Key: COUCHDB-51
             Project: CouchDB
          Issue Type: Improvement
          Components: Build System
         Environment: Ubuntu 8.0.4 (Hardy)
            Reporter: Nick Galbreath
            Priority: Trivial


just pulled down source via SVN, read the README, and bumped into this in:

It says

If you are running a Debian GNU/Linux system (or a derivative such as Ubuntu
GNU/Linux) you can install these dependencies using the `apt-get` command:

    apt-get install automake autoconf libtool subversion-tools help2man

Should add "xsltproc" to the list.  That makes ./bootstrap work (at least on my variant of

Since I'm here, I'll just mention this... The next set of dependencies, you give the hint
to do apt-cache search libicu.  The results of that for Ubuntu 8.0.4, that line would be:

apt-get install build-essential erlang libicu38 libicu-dev libmozjs-dev

after that... the install went great.    Don't know if this is worth adding to the README
or not, but hope it helps in some way...


This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message